The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / ejabberd / S50ejabberd
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/ejabberd/S50ejabberd b/cirros-testvm/src-cirros/buildroot-2015.05/package/ejabberd/S50ejabberd
new file mode 100644 (file)
index 0000000..ff38d92
--- /dev/null
@@ -0,0 +1,58 @@
+#!/bin/sh
+#
+# Start/stop ejabberd
+#
+
+NAME=ejabberd
+USER=ejabberd
+RUNDIR=/var/run/ejabberd
+SPOOLDIR=/var/lib/ejabberd
+
+# Read configuration variable file if it is present.
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+mkrundir() {
+    install -d -o "$USER" -g "$USER" "$RUNDIR" "$SPOOLDIR"
+}
+
+# Run ejabberdctl as user $USER.
+ctl() {
+    su $USER -c "ejabberdctl $*"
+}
+
+case "$1" in
+    start)
+        mkrundir || exit 1
+        echo -n "Starting ejabberd... "
+        ctl start --spool "$SPOOLDIR"
+        # Wait until ejabberd is up and running.
+        if ctl started; then
+            echo "done"
+        else
+            echo "failed"
+        fi
+        ;;
+    stop)
+        echo -n "Stopping ejabberd... "
+        ctl stop > /dev/null
+        if [ $? -eq 3 ] || ctl stopped; then
+            echo "OK"
+        else
+            echo "failed"
+        fi
+        ;;
+    status)
+        ctl status
+        ;;
+    restart|force-reload)
+        "$0" stop
+        "$0" start
+        ;;
+    live)
+        mkrundir || exit 1
+        ctl live
+        ;;
+    *)
+        echo "Usage: $0 {start|stop|status|restart|force-reload|live}"
+        exit 1
+esac